#![warn(missing_docs)]

use std::error::Error;
use std::fmt;

/// all tilde client errors
#[derive(Debug)]
pub struct TildeError {
    pub message: String,
}

impl fmt::Display for TildeError {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        write!(f, "{}", self.message)
    }
}

impl Error for TildeError {}