# [PeachCloud](http://peachcloud.org) :peach: :cloud:

_Better [Scuttlebutt](https://scuttlebutt.nz) cloud infrastructure as a hardware product._

![image of peachcloud device](https://peach.commoninternet.net/assets/peachcloud.jpg)

## About

This project is a hack that combines PeachCloud with TildFriends. 

The original PeachCloud project was paused when most development in the Scuttlebutt ecosystem stopped (reference), 
but even after most funding and development and left the ecosystem, a version of the Sbot in C called TildeFriends was finished,
and continues to be maintained.

This fork of the PeachCloud project makes use of the TildeFriends sbot to make a minimal and  functional PeachCloud Scuttlebutt pub,
that can be easily deployed and operated by a non-technical user. 

Due to the timing and conditions of the Scuttlebutt ecosystem, and the rise of new protocols,
for this particular hack, the focus was on getting the project working in a minimal form (aka more hacky),
with less of a focus on long-term sustainability of the project as an ecosystem. 

This project serves to provide a working simple-to-use pub for a P2P protocol which is in some ways frozen in amber,
as well as to share the PeachCloud interface and project, as a design-inspiration for other projects.

## Setup

TODO: how to install with yunohost
TODO: how to install without yunohost 


## Background

- April 2018 project proposal: [`%HqwAsltORROCh4uyOq6iV+SsqU3OuNUevnq+5dwCqVI=.sha256`](https://viewer.scuttlebot.io/%25HqwAsltORROCh4uyOq6iV%2BSsqU3OuNUevnq%2B5dwCqVI%3D.sha256)
- November 2018 project pivot: [`%9NCyTf+oBxG0APlXRCKtrGZj3t+i+Kp3pKPN1gtFX2c=.sha256`](https://viewer.scuttlebot.io/%259NCyTf%2BoBxG0APlXRCKtrGZj3t%2Bi%2BKp3pKPN1gtFX2c%3D.sha256)
- [Original PeachCloud ReadMe](/ORIGINAL-PEACHCLOUD-README.md)
- [Original PeachCloud Documentation](https://peach.commoninternet.net)
